import request from '@/utils/request'

// 创建维修模块 订单
export function createOrderInfo(data) {
  return request({
    url: '/repair/order-info/create',
    method: 'post',
    data: data
  })
}

// 更新维修模块 订单
export function updateOrderInfo(data) {
  return request({
    url: '/repair/order-info/update',
    method: 'put',
    data: data
  })
}

// 删除维修模块 订单
export function deleteOrderInfo(id) {
  return request({
    url: '/repair/order-info/delete?id=' + id,
    method: 'delete'
  })
}

// 获得维修模块 订单
export function getOrderInfo(id) {
  return request({
    url: '/repair/order-info/get?id=' + id,
    method: 'get'
  })
}

// 获得维修模块 订单分页
export function getOrderInfoPage(params) {
  return request({
    url: '/repair/order-info/page',
    method: 'get',
    params
  })
}
// 导出维修模块 订单 Excel
export function exportOrderInfoExcel(params) {
  return request({
    url: '/repair/order-info/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}



export function toPay(params) {
  return request({
    url: '/admin-api/pay/toPay',
    method: 'get',
    params
  })
}
